import * as React from "react";
import Svg, { G, Path, Defs, ClipPath } from "react-native-svg";

const Normal = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <G clipPath="url(#clip0_347_147)">
        <Path
          d="M9.195 21.994c-.392-.219-.77-.426-1.145-.64-.106-.06-.18-.03-.254.05-.767.825-1.8 1.046-2.842 1.225-.744.128-1.502.067-2.252.112-.837.05-1.659.125-2.357.662-.173.133-.273.028-.311-.14a1.215 1.215 0 01.035-.686c.697-1.935 1.941-3.308 3.984-3.856a6.574 6.574 0 012.005-.227c.245.011.345-.05.327-.32-.1-1.515.448-2.832 1.251-4.073 1.212-1.874 2.428-3.746 3.125-5.893.253-.778.255-.78-.534-.929-.504-.095-1.002-.212-1.464-.442-.23-.115-.479-.134-.725-.179-.532-.097-.634-.223-.636-.848-.001-.772.339-1.42.82-1.993.25-.3.391-.581.178-.96-.074-.131-.096-.293-.137-.441-.063-.232.042-.396.226-.517.181-.12.333-.035.463.098.083.1.174.192.274.274-.07-.502.1-.916.395-1.269.618-.737 1.644-.724 2.27.011.166.19.29.413.365.653.037.124.06.252.205.288.15.036.195-.099.265-.183.527-.626 1.222-.841 1.914-.589.687.25 1.322 1.114 1.323 1.797 0 .653-.533 1.367-1.205 1.585-.183.06-.296.15-.28.343.046.543-.17 1.024-.348 1.511-.44 1.207-.86 2.419-1.122 3.68a8.965 8.965 0 00-.07.399c-.098.613-.1.62.466.82.171.06.325.28.476.207.12-.057.141-.301.224-.452.167-.306.519-.387 1.006-.245.343.1.425.222.412.623-.01.309-.019.618-.04.926-.008.136.035.218.16.271.144.06.282.128.416.205.322.192.614.289.89-.091.134-.183.332-.135.522-.023.244.145.453.335.362.622-.124.388.005.637.283.885.287.26.52.574.69.924.093.19.209.277.436.187.295-.117.531.028.71.25.183.226.261.502.056.744-.383.455-.37.942-.214 1.472.105.354.317.557.683.555.8-.004 1.472.361 2.129.752.746.444 1.44.974 2.22 1.364.083.04.188.092.174.208a.332.332 0 01-.236.27 4.913 4.913 0 01-1.327.275l-.932.078c.396.297.777.54 1.085.871.15.15.289.311.416.481.15.214.076.366-.181.359-.738-.02-1.462.107-2.193.16-.808.06-1.51-.255-2.183-.655-.095-.057-.174-.152-.324-.15.082.42.286.78.45 1.155.224.511.131.64-.44.616a9.641 9.641 0 01-3.394-.784 5.677 5.677 0 00-1.08-.322.444.444 0 00-.481.17c-.382.46-.91.63-1.485.685-.597.058-1.196.059-1.794.06-.8.003-1.58.103-2.285.522-.17.101-.29.053-.368-.126a.958.958 0 01-.08-.561c.11-.68.463-1.219.928-1.7.032-.034.062-.069.1-.111z"
          fill={`${props.color ? props.color : "#17171B"}`}
        />
      </G>
      <Defs>
        <ClipPath id="clip0_347_147">
          <Path fill="#fff" d="M0 0H25V25H0z" />
        </ClipPath>
      </Defs>
    </Svg>
  );
};

export default Normal;
